KUBERNETES(1)

NAME

kubectl delete - Delete resources by filenames, stdin, resources and names, or by resources and label selector.

SYNOPSIS

kubectl delete [OPTIONS]

DESCRIPTION

Delete resources by filenames, stdin, resources and names, or by resources and label selector.

JSON and YAML formats are accepted.

Only one type of the arguments may be specified: filenames, resources and names, or resources and label selector

Note that the delete command does NOT do resource version checks, so if someone submits an update to a resource right when you submit a delete, their update will be lost along with the rest of the resource.

OPTIONS

--all=false
    [-all] to select all the specified resources.

--cascade=true
    If true, cascade the deletion of the resources managed by this resource (e.g. Pods created by a ReplicationController). Default true.

-f, --filename=[]
    Filename, directory, or URL to a file containing the resource to delete.

--grace-period=-1
    Period of time in seconds given to the resource to terminate gracefully. Ignored if negative.

--ignore-not-found=false
    Treat "resource not found" as a successful delete. Defaults to "true" when --all is specified.

-o, --output=""
    Output mode. Use "-o name" for shorter output (resource/name).

-l, --selector=""
    Selector (label query) to filter on.

--timeout=0
    The length of time to wait before giving up on a delete, zero means determine a timeout from the size of the object

OPTIONS INHERITED FROM PARENT COMMANDS

--alsologtostderr=false
    log to standard error as well as files

--api-version=""
    The API version to use when talking to the server

--certificate-authority=""
    Path to a cert. file for the certificate authority.

--client-certificate=""
    Path to a client certificate file for TLS.

--client-key=""
    Path to a client key file for TLS.

--cluster=""
    The name of the kubeconfig cluster to use

--context=""
    The name of the kubeconfig context to use

--insecure-skip-tls-verify=false
    If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.

--kubeconfig=""
    Path to the kubeconfig file to use for CLI requests.

--log-backtrace-at=:0
    when logging hits line file:N, emit a stack trace

--log-dir=""
    If non-empty, write log files in this directory

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--logtostderr=true
    log to standard error instead of files

--match-server-version=false
    Require server version to match client version

--namespace=""
    If present, the namespace scope for this CLI request.

--password=""
    Password for basic authentication to the API server.

-s, --server=""
    The address and port of the Kubernetes API server

--stderrthreshold=2
    logs at or above this threshold go to stderr

--token=""
    Bearer token for authentication to the API server.

--user=""
    The name of the kubeconfig user to use

--username=""
    Username for basic authentication to the API server.

--v=0
    log level for V logs

--vmodule=
    comma-separated list of pattern=N settings for file-filtered logging

EXAMPLE

    # Delete a pod using the type and name specified in pod.json.
    kubectl delete -f ./pod.json
    # Delete a pod based on the type and name in the JSON passed into stdin.
    cat pod.json | kubectl delete -f -
    # Delete pods and services with same names "baz" and "foo"
    kubectl delete pod,service baz foo
    # Delete pods and services with label name=myLabel.
    kubectl delete pods,services -l name=myLabel
    # Delete a pod with UID 1234-56-7890-234234-456456.
    kubectl delete pod 1234-56-7890-234234-456456
    # Delete all pods
    kubectl delete pods --all

SEE ALSO

kubectl(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!